Package com.sun.ts.lib.harness

# Class EETest.SetupException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sun.ts.lib.harness.EETest.SetupException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  EETest

public static class EETest.SetupException extends Exception
This exception is used only by EETest. Overrides 3 printStackTrace methods to preserver the original stack trace. Using setStackTraceElement() would be more elegant but it is not available prior to j2se 1.4.

Author:
  Kyle Grucci
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Exception`
  `e`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetupException(String msg)`
  creates a Fault with a message
  `SetupException(String msg, Exception e)`
  creates a SetupException with a message

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `getCause()`
  `Throwable`
  `initCause(Throwable cause)`
  `void`
  `printStackTrace()`
  Prints this Throwable and its backtrace to the standard error stream.
  `void`
  `printStackTrace(PrintStream s)`
  Prints this throwable and its backtrace to the specified print stream.
  `void`
  `printStackTrace(PrintWriter s)`
  Prints this throwable and its backtrace to the specified print writer.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### e

    public Exception e

- ## Constructor Details

  - ### SetupException

    public SetupException(String msg)
    creates a Fault with a message

  - ### SetupException

    public SetupException(String msg, Exception e)
    creates a SetupException with a message
    Parameters:
      `msg` - the message
      `e` - prints this exception's stacktrace

- ## Method Details

  - ### printStackTrace

    public void printStackTrace()
    Prints this Throwable and its backtrace to the standard error stream.
    Overrides:
      `printStackTrace` in class `Throwable`

  - ### printStackTrace

    public void printStackTrace(PrintStream s)
    Prints this throwable and its backtrace to the specified print stream.
    Overrides:
      `printStackTrace` in class `Throwable`
    Parameters:
      `s` - `PrintStream` to use for output

  - ### printStackTrace

    public void printStackTrace(PrintWriter s)
    Prints this throwable and its backtrace to the specified print writer.
    Overrides:
      `printStackTrace` in class `Throwable`
    Parameters:
      `s` - `PrintWriter` to use for output

  - ### getCause

    public Throwable getCause()
    Overrides:
      `getCause` in class `Throwable`

  - ### initCause

    public Throwable initCause(Throwable cause)
    Overrides:
      `initCause` in class `Throwable`